Subject: Re: [Cfrg] Further actions on PAKEs: one/two documents; call for editors

From: "Stanislav V. Smyshlyaev" <[email-masked]>
Date: Tue, 7 Jul 2020 08:24:14 +0300

Dear CFRG,

Based on the feedback, the chairs have decided to create separate
documents, one for CPace and one for OPAQUE. As follow up actions, the
drafts describing the finalists, draft-haase-cpace and
draft-krawczyk-cfrg-opaque, are now adopted as CFRG documents (of course,
these documents are not final and will continue to evolve to meet
requirements that have been mentioned in the discussions).

Bjoern Haase and Julia Hesse will be the editors of the CPace document,
Hugo Krawczyk and Chris Wood will be the editors of the OPAQUE document
(with kind assistance of Julia Hesse to ensure the consistency of two
documents).

Regards,
Stanislav, Alexey, Nick

On Thu, 14 May 2020 at 18:26, Björn Haase <[email-masked]> wrote:

> Hi to all,
>
> I agree with Hugo. We should be having two separate RFC. Possibly, we
> could still try to closely match the structure of the writeups and maybe we
> could also share some of the text.
>
> In my opinion, we might also consider the remarks of Ran Canetti on this
> list regarding the APIs. In my opinion, it would be worthwile to explicitly
> consider the session id complexity in both RFC, as doing so would
> facilitate integrating the two protocols into larger constructions.
>
> I would be willing to contribute signicantly to the RFC, but I think that
> there would best be some native speaker in the team.
>
> Yours,
>
> Björn.
> Am 06.05.2020 um 18:05 schrieb Hugo Krawczyk:
>
> I strongly support Option 2. These protocols are complex enough that
> putting them together will make a monster RFC.. Even more significantly,
> the application settings are very different as are the properties of these
> functionalities. This being said, there can be a very high level document,
> for example expanding  RFC 8125, covering general principles for each of
> these settings and highlighting the important differences between these
> cases.
>
> I am working on expanding the OPAQUE internet draft (which I let expire,
> irresponsibly...) to include a more detailed specification. This is not
> intended to provide exact details at the level of bits on the wire but as a
> basis for defining these details. It will also serve as a basis to decide
> on what specific mechanisms to use in a default specification. A
> separate specification defining the use of OPAQUE with TLS 1.3 will be
> needed as initially drafted in
> https://tools.ietf.org/html/draft-sullivan-tls-opaque-00.
>
> I want to take this belated opportunity to thank the CFRG group, the
> chairs, and all the truly  dedicated reviewers for an amazing selection
> process. This would have been as remarkable even if OPAQUE would have not
> been chosen, but it is even more wonderful this way :-)
>
> And while at it, I want to thank, over the ether, my colleagues, Stas
> Jarecki and Jiayu Xu , co-authors of OPAQUE, for their amazing work at
> nailing down the many details of the UC proofs at the basis of the OPAQUE
> analysis. It has been an amazingly difficult work.  THANKS!
>
> Hugo
>
>
>
>
> On Wed, May 6, 2020 at 8:13 AM Stanislav V. Smyshlyaev <[email-masked]
> <smyshsv@gmail..com>> wrote:
>
>> Dear CFRG,
>>
>> This is a reminder that (as we have said at the recent CFRG virtual
>> interim) we are seeking for the opinions (and volunteers!) regarding the
>> futher steps after the end of the PAKE selection process.
>>
>> We asked the following two questions about our further actions about the
>> PAKE documents.
>> *1) Do we need one or two documents?*
>> Option 1: "Recommendations for password-based authenticated key
>> establishment in IETF protocols" with both CPace and OPAQUE.
>> Option 2: "Recommendations for balanced password-based authenticated key
>> establishment in IETF protocols" with CPace and "Recommendations for
>> augmented password-based authenticated key establishment in IETF protocols"
>> with OPAQUE.
>> *2) Call for editors, authors*
>>
>> Regarding the number of documents: during the meeting, a certain amount
>> of support for Option 2 (two documents) was expressed (see the minutes).
>> Please express your opinion here in the list (especially if you are in
>> favor of Option 1), if you have something to say.
>>
>> And we really need editor(s) for this/these document(s) - please let us
>> know if you are happy to help!
>>
>> Take care.
>>
>> Best regards,
>> CFRG Chairs
>> _______________________________________________
>> Cfrg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/cfrg
>>
>
> _______________________________________________
> Cfrg mailing [email-masked]://www.irtf.org/mailman/listinfo/cfrg
>
> _______________________________________________
> Cfrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/cfrg
>